Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface UserReaderMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, UserEditorMBean

public interface UserReaderMBean
extends weblogic.management.commo.StandardInterface, NameListerMBean

Provides a set of methods for reading data about users. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getUserDescription(java.lang.String userName)` Gets a user's description.
`java.lang.String` | `listUsers(java.lang.String userNameWildcard, int maximumToReturn)` Searches for a user name that matches a pattern.
`boolean` | `userExists(java.lang.String userName)` Indicates whether the specified user exists.

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### listUsers

    public java.lang.String listUsers(java.lang.String userNameWildcard,
                                      int maximumToReturn)
                               throws InvalidParameterException

  Searches for a user name that matches a pattern. Returns a cursor (string). You can use methods from `weblogic.management.utils.NameLister` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results.

  Parameters:
    `userNameWildcard` - - The pattern for which this method searches. The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case-sensitive.

    For example, a pattern of `abc` matches exactly one user name that contains only `abc`,

    a pattern of `ab*` matches all user names that start with `ab`,

    and a pattern of `*` matches all user names.

    `maximumToReturn` - - The maximum number of user names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results.
  Throws:
    InvalidParameterException -

### userExists

    public boolean userExists(java.lang.String userName)
                       throws InvalidParameterException

  Indicates whether the specified user exists.

  Parameters:
    `userName` - - The name that this method evaluates.
  Throws:
    InvalidParameterException -

### getUserDescription

    public java.lang.String getUserDescription(java.lang.String userName)
                                        throws NotFoundException,
                                               InvalidParameterException

  Gets a user's description.

  Parameters:
    `userName` - - The name of an existing user.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD